unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, LR_Class,
  LR_E_TXT, LR_E_HTM, LR_E_CSV, LR_Desgn, LR_Shape, LR_BarC, LR_RRect,
  lr_e_cairo, LR_e_img, LR_e_htmldiv, lr_e_pdf, lr_pdfexp_reg, lrSpreadSheetExp;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    frBarCodeObject1: TfrBarCodeObject;
    frCSVExport1: TfrCSVExport;
    frDesigner1: TfrDesigner;
    frHTMExport1: TfrHTMExport;
    frHtmlDivExport1: TfrHtmlDivExport;
    frImageExport1: TfrImageExport;
    frRoundRectObject1: TfrRoundRectObject;
    frShapeObject1: TfrShapeObject;
    frTextExport1: TfrTextExport;
    frTNPDFExport1: TfrTNPDFExport;
    lrCairoExport1: TlrCairoExport;
    lrPDFExport1: TlrPDFExport;
    lrSpreadSheetExport1: TlrSpreadSheetExport;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.frm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  frRpt: TfrReport;
begin
  frRpt := TfrReport.Create(nil);
  try
    frRpt.DesignReport;
  finally
    frRpt.Free;
  end;
end;


procedure showreport(ReportName: string);
var
  RptName: string;
  isRptExist: boolean;
  frRpt: TfrReport;
begin
  frRpt := TfrReport.Create(nil);
  try
    RptName := '.' + DirectorySeparator + 'reports' + DirectorySeparator + ReportName;
    isRptExist := FileExists(RptName);
    if isRptExist then begin
      frRpt.LoadFromXMLFile(RptName);
      frRpt.PrepareReport;
      frRpt.ShowPreparedReport;
    end else begin
      ShowMessage('Report not found: ' + RptName);
   end;

  finally
    frRpt.Free;
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  showreport('testrpt.lrf');
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   showreport('testrpt1.lrf');
end;

end.


